Rémi Bernon : gitlab: Move build steps to the build-all script.

Alexandre Julliard julliard at winehq.org
Fri Aug 5 14:42:32 CDT 2022


Module: wine
Branch: master
Commit: f1a7a16b83e1296457ed509ae0607e1c8cb2fb71
URL:    https://gitlab.winehq.org/wine/wine/-/commit/f1a7a16b83e1296457ed509ae0607e1c8cb2fb71

Author: Rémi Bernon <rbernon at codeweavers.com>
Date:   Thu Aug  4 19:31:21 2022 +0200

gitlab: Move build steps to the build-all script.

---

 tools/gitlab/build-all | 22 ++++++++++++++++++++++
 tools/gitlab/build.yml | 10 +---------
 2 files changed, 23 insertions(+), 9 deletions(-)

diff --git a/tools/gitlab/build-all b/tools/gitlab/build-all
new file mode 100755
index 00000000000..351e100b4f8
--- /dev/null
+++ b/tools/gitlab/build-all
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+echo "Building $(git log -1)"
+echo "---"
+
+set -Eeuxo pipefail
+
+./tools/make_requests
+./tools/make_makefiles
+autoreconf
+
+cd build64
+../configure -C --enable-win64 --enable-werror --with-mingw
+make -s -j$(nproc)
+cd ..
+
+cd build32
+../configure -C --enable-werror --with-mingw
+make -s -j$(nproc)
+cd ..
+
+git reset --hard
diff --git a/tools/gitlab/build.yml b/tools/gitlab/build.yml
index 4f1ff0eddc5..1cb674d837a 100644
--- a/tools/gitlab/build.yml
+++ b/tools/gitlab/build.yml
@@ -30,15 +30,7 @@ build-all:
       - build64/config.log
       - build32/config.log
   script:
-    - ./tools/make_requests
-    - ./tools/make_makefiles
-    - autoreconf
-    - cd build64
-    - ../configure -C --enable-win64 --enable-werror --with-mingw
-    - make -s -j$(nproc)
-    - cd ../build32
-    - ../configure -C --enable-werror --with-mingw
-    - make -s -j$(nproc)
+    - ./tools/gitlab/build-all
 
 build-winetest:
   extends: .wine-build




More information about the wine-cvs mailing list